#include <bits/stdc++.h>
using namespace std;
int tong(int n)
{
    if (n==1) return 1;
    else return (pow(-1,n+1)*n+tong(n-1));
}
int tich(int n)
{
    if (n==1) return 1;
    else return n*tich(n-1);

}
int t(int n)
{
    if(n==1) return 1;
    else return tich(n)+t(n-1);
}
int main()
{
    ifstream f1("DQQT.inp");
    ofstream f2("DQQT.out");
    int n;
    f1>>n;
    f2<<tong(n)<<endl<<t(n);
}
